Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezusps-cleaner.php
Go to the documentation of this file.
1 <?php
3 //
4 // Class: eZ USPS (Services)
5 // Licence: GNU GPL
6 //
8
9 class ezuspsservices
10 {
11 var $server;
12 var $user;
13 var $pass;
14 var $totalarr;
15 var $weight;
16 var $destzip;
17 var $deststate;
18 var $destcountry;
19 var $orginzip;
20 var $state;
21 var $country;
22 var $mach;
23 var $destaddress1;
24 var $destaddress2;
25 var $container;
26 var $size;
27 var $service;
28 var $pounds;
29 var $ounce;
30 var $status;
31 var $num;
32 var $res;
33 var $xmlreturndata;
34 var $xmlreturnstatus;
35 var $totsize;
36 var $count;
37 var $height;
38 var $width;
39 var $length;
40 var $machinable;
41 var $nocombine;
42
43 function ezuspsget($ser=false,$user=false,$pwd=false,$totarr=false,$wgt="",$dzip=false,$dsta=false,$dcou=false,$ozip=false,$sta=false,$cou=false,$street1=false,$street2=false,$mach="false")
44 {
45 $this->server = $ser;
46 $this->user = $user;
47 $this->pass = $pwd;
48 $this->totalarr = $totarr;
49
50 //$this->weight = $wgt;
51
52 $this->destzip = $dzip;
53 $this->deststate = $dsta;
54 $this->destcountry = $dcou;
55 $this->orginzip = $ozip;
56 $this->state = $sta;
57 $this->country = $cou;
58 $this->mach = $mach;
59
60 $this->destaddress1 = $street1;
61 $this->destaddress2 = $street2;
62
63 // $this->container = "Flat Rate Box";
64 $this->container = "None";
65
66 $this->size = "Oversize";
67 $this->getservice();
68
69 //$this->getweight();
70 //$this->setpounds();
71 //$this->setcontainer();
72 //$this->setsize();
73
74 $getres = $this->getresult();
75 $cc = $this->num;
76
77 // print_r ($getres);
78
79 return $getres;
80 }
81
82
84 function getservice()
85 {
86 $n=0;
87 if(($this->destcountry=="United States of America")&&(($this->deststate=="AK")||($this->deststate=="HI")))
88 {
89 $servicearr[0] = "Parcel";
90 $servicearr[1] = "Priority";
91 $this->service = $servicearr;
92 $this->status = "true";
93 }
94 elseif(($this->destcountry=="United States of America")&&(($this->deststate=="AF")||($this->deststate=="AA")||($this->deststate=="AC")||($this->deststate=="AE")||($this->deststate=="AM")||($this->deststate=="AP")))
95 {
96 $servicearr[0] = "Parcel";
97 $servicearr[1] = "Priority";
98 $this->service = $servicearr;
99 $this->status = "true";
100 }
101 elseif($this->country=="Canada")
102 {
103 $servicearr[0] = "Airmail Parcel";
104
105 $servicearr[1] = "Priority Lg";
106 $servicearr[2] = "Priority Sm";
107 $servicearr[3] = "Priority Var";
108 $this->service = $servicearr;
109 }
110 elseif(($this->country!="Canada")||($this->country!="United States of America"))
111 {
112 $servicearr[0] = "Airmail Parcel";
113
114 $servicearr[1] = "Priority Lg";
115 $this->num = $n;
116 $servicearr[2] = "Priority Sm";
117 $servicearr[3] = "Priority Var";
118 $this->service = $servicearr;
119 }
120 return $this->service;
121 }
122
123
125 function getweight()
126 {
127 if($this->weight<0.1)
128 $this->weight = 0.1;
129 else
130 $this->weight = $this->weight;
131
132 return $this->weight;
133 }
134
135
137 function setpounds()
138 {
139 $fullpounds = $this->weight;
140 $this->pounds = floor($this->weight);
141 $this->ounce = round(16*($fullpounds-$this->pounds));
142 if(empty($this->ounce))
143 $this->ounce=0;
144 }
145
146
148 function setcontainer()
149 {
150 // $this->container = "None"; //for Customer Package.
151 $this->container = "None";
152 // $this->container = "Flat Rate Box";
153 }
154
155
157 function setsize()
158 {
159 $tot = $this->totalarr;
160 foreach($tot['box'] as $to)
161 {
162 $this->height = $to['height'];
163 $this->width = $to['width'];
164 $this->length = $to['length'];
165 $this->count = $to['count'];
166
167 // $this->container = "Flat Rate Box";
168 $this->container = "None"; //for Customer Package.
169
170 $this->totsize = $this->length + (2*($this->width+$this->height));
171
172 if(($this->totsize<=84)&&($this->weight<15))
173 $this->size = "Regular";
174 elseif(($this->totsize>84)&&($this->totsize<=108)&&($this->weight<15))
175 $this->size = "Large";
176 else
177 $this->size = "Oversize";
178 }
179 }
180
181
183 function verifyaddress() {
184 $str = "API=Verify&XML=<AddressValidateRequest USERID=\"";
185 $str .= $this->user . "\" PASSWORD=\"" . $this->pass . "\">";
186 $str .= '<Address ID="0"><Address1></Address1>'.$this->destaddress1.'<Address2>'.$this->destaddress2.'</Address2><City>'.$this->destcity.'</City><State>'.$this->deststate.'</State><Zip5>'.$this->destzip.'</Zip5><Zip4></Zip4></Address></AddressValidateRequest>';
187
188 // Curl : Options
189 $ch = curl_init();
190
191 curl_setopt($ch, CURLOPT_URL,"http://production.shippingapis.com/shippingAPI.dll");
192
193 curl_setopt($ch, CURLOPT_HEADER,0);
194 curl_setopt($ch, CURLOPT_POST,1);
195 curl_setopt($ch, CURLOPT_POSTFIELDS,"$str");
196 curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 2);
197 curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
198 curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
199
200 $this->xmladdressver = curl_exec($ch);
201
202 echo ($this->xmladdressver);
203
204 if (stristr($this->xmladdressver, '<Error>')) {
205 return false;
206 }
207
208 return true;
209 }
210
211
213 function getresult()
214 {
215 $this->nocombine = true;
216 $ratestotal = false;
217 $noofservices = 0;
218
219 foreach ($this->totalarr["box"] as $boxflatcheck)
220 {
221 if ($boxflatcheck['flatusps'] == 'off')
222 $this->nocombine = false;
223 }
224 if( $this->totalarr["withoutbox"] != null)
225 {
226
227 foreach ($this->totalarr["withoutbox"] as $woutflatcheck)
228 {
229 if ($woutflatcheck['flatusps'] == 'off')
230 $this->nocombine = false;
231 }
232
233 if ($this->nocombine) {
234 return $this->getFlatResult();
235 }
236
237 $i=0;
238 $response = array();
239 $rate = array();
240 $arrpush = array();
241 $rates = array();
242 $this->machinable ="True";
243
244 if($this->destcountry=="United States of America")
245 {
246 // If (!$this->verifyaddress()) {
247 // return false;
248 // }
249 // $str = $this->server. "?API=Rate&XML=<RateRequest USERID=\"";
250
251 $str = "API=Rate&XML=<RateRequest USERID=\"";
252 $str .= $this->user . "\" PASSWORD=\"" . $this->pass . "\">";
253
254 // print_r($this->totalarr[box]);
255
256 $cou=0;
257 foreach($this->totalarr[box] as $getbox)
258 {
259 $this->weight = $getbox[weight];
260 $this->height = $getbox[height];
261 $this->length = $getbox[length];
262 $this->width = $getbox[width];
263 $this->count = $getbox[count];
264
265 $this->flatusps = $getbox['flatusps'];
266 $this->combineflat = $getbox['combineflat'];
267 $this->totsize = $this->length + (2*($this->width+$this->height));
268
269 if(($this->totsize<=84)&&($this->weight<15))
270 $this->size = "Regular";
271 elseif(($this->totsize>84)&&($this->totsize<=108)&&($this->weight<15))
272 $this->size = "Large";
273 else
274 $this->size = "Oversize";
275
276 if($this->weight<0.1)
277 $this->weight = 0.1;
278 else
279 $this->weight = $this->weight;
280
281 $fullpounds = $this->weight;
282 $this->pounds = floor($this->weight);
283 $this->ounce = round(16*($fullpounds-$this->pounds));
284
285 if(empty($this->ounce))
286 $this->ounce=0;
287
288 for($cou=0;$cou<$this->count;$cou++)
289 {
290 $str .= "<Package ID=\"$cou\"><Service>".Parcel . "</Service><ZipOrigination>" . $this->orginzip . "</ZipOrigination>";
291 $str .= "<ZipDestination>" . $this->destzip . "</ZipDestination>";
292 $str .= "<Pounds>" . $this->pounds . "</Pounds><Ounces>" . $this->ounce . "</Ounces>";
293 $str .= "<Container>" . $this->container . "</Container><Size>" . $this->size . "</Size>";
294 $str .= "<Machinable>" . $this->machinable . "</Machinable></Package>";
295 }
296 }
297
298 for ($j=0; $j<sizeof($this->totalarr[withoutbox]);$j++)
299 {
300 $this->wt = $this->totalarr[withoutbox][$j][weight];
301 $this->addamount = 0;
302
303 if (is_numeric($this->totalarr[withoutbox][$j][flatusps]) && $this->totalarr[withoutbox][$j][flatusps] == 0) continue;
304 if ($this->totalarr[withoutbox][$j][flatusps] != 'off' && !$this->totalarr[withoutbox][$j][combineflat])
305 {
306 $this->addamount += $this->totalarr[withoutbox][$j][flatusps];
307 continue;
308 }
309
310 if($this->wt<0.1)
311 $this->wt = 0.1;
312 else
313 $this->wt = $this->wt;
314
315 $fullpnds = $this->wt;
316 $this->pnds = floor($this->wt);
317 $this->oun = round(16*($fullpnds-$this->pnds));
318
319 if(empty($this->oun))
320 $this->oun=0;
321 if(empty($this->pnds)&&empty($this->oun))
322 $this->oun=0.1;
323 /*
324 $this->withoutcount = $this->totalarr[withoutbox][count];
325 $this->withoutcount = $cou + $this->withoutcount;
326 $inc = $cou;
327 */
328
329 $str .= "<Package ID=\"$inc\"><Service>".Parcel . "</Service><ZipOrigination>" . $this->orginzip . "</ZipOrigination>";
330 $str .= "<ZipDestination>" . $this->destzip . "</ZipDestination>";
331 $str .= "<Pounds>" . $this->pnds . "</Pounds><Ounces>" . $this->oun . "</Ounces>";
332 $str .= "<Container>" . $this->container . "</Container><Size>Regular</Size>";
333 $str .= "<Machinable>" . $this->machinable . "</Machinable></Package>";
334 }
335 $str .= "</RateRequest>";
336 }
337 // echo $str;
338
339 // ### INTERNATIONAL ##############################################
340 if($this->destcountry!="United States of America")
341 {
342 // $str = "API=IntlRate&XML=<RateRequest USERID=\"";
343
344 $str = "API=IntlRate&XML=<IntlRateRequest USERID=\"";
345 $str .= $this->user . "\" PASSWORD=\"" . $this->pass . "\">";
346
347 foreach($this->totalarr["box"] as $getbox)
348 {
349 $this->weight = $getbox["weight"];
350 $this->height = $getbox["height"];
351 $this->length = $getbox["length"];
352 $this->width = $getbox["width"];
353 $this->count = $getbox["count"];
354 $this->totsize = $this->length + (2*($this->width+$this->height));
355
356 if(($this->totsize<=84)&&($this->weight<15))
357 $this->size = "Regular";
358 elseif(($this->totsize>84)&&($this->totsize<=108)&&($this->weight<15))
359 $this->size = "Large";
360 else
361 $this->size = "Oversize";
362
363 if($this->weight<0.1)
364 $this->weight = 0.1;
365 else
366 $this->weight = $this->weight;
367
368 $fullpounds = $this->weight;
369 $this->pounds = floor($this->weight);
370 $this->ounce = round(16*($fullpounds-$this->pounds));
371
372 if(empty($this->ounce))
373 $this->ounce=0;
374
375 for($cou=0;$cou<$this->count;$cou++)
376 {
377 $str .= "<Package ID=\"$cou\"><Pounds>" . $this->pounds . "</Pounds><Ounces>" . $this->ounce . "</Ounces>";
378 $str .= "<MailType>" ."Package". "</MailType><Country>" . $this->destcountry."</Country>";
379 $str .= "</Package>";
380 }
381 }
382 if($this->totalarr["withoutbox"]!="")
383 {
384 for ($j=0; $j<sizeof($this->totalarr["withoutbox"]);$j++)
385 {
386 $this->wt = $this->totalarr["withoutbox"][$j]["weight"];
387
388 if($this->wt<0.1)
389 $this->wt = 0.1;
390 else
391 $this->wt = $this->wt;
392
393 $fullpnds = $this->wt;
394 $this->pnds = floor($this->wt);
395 $this->oun = round(16*($fullpnds-$this->pnds));
396
397 if(empty($this->oun))
398 $this->oun=0;
399 if(empty($this->pnds)&&empty($this->oun))
400 $this->oun=0.1;
401
402 $str .= "<Package ID=\"$inc\"><Pounds>" . $this->pnds . "</Pounds><Ounces>" . $this->oun . "</Ounces>";
403 $str .= "<MailType>" .Package . "</MailType><Country>" . $this->destcountry."</Country>";
404 $str .= "</Package>";
405 }
406
407 $str .="</IntlRateRequest>";
408 }
409
410 }
411
412
413 // ####################################################################################
414
415
417 // Curl : Options
418 $ch = curl_init();
419
420 // ini -- UserUSPSServer=http://production.shippingapis.com/ShippingAPI.dll
421 $c_server = "http://production.shippingapis.com/shippingAPI.dll";
422 curl_setopt($ch, CURLOPT_URL, $c_server);
423
424 curl_setopt($ch, CURLOPT_HEADER,0);
425 curl_setopt($ch, CURLOPT_POST,1);
426 curl_setopt($ch, CURLOPT_POSTFIELDS,"$str");
427 curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 2);
428 curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
429 curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
430
431 $this->xmlreturndata = curl_exec($ch);
432 $body = $this->xmlreturndata;
433 // echo $body;
434
435 if($this->destcountry=="United States of America")
436 {
437 $noofservices=1;
438 while (true) {
439 if ($start = strpos($body, '<Package')) {
440 $body = substr($body, $start);
441 $end = strpos($body, '</Package>');
442 $response[] = substr($body, 0, $end+10);
443 $body = substr($body, $end+9);
444 } else {
445 break;
446 }
447 }
448
449 // if ($order->delivery['country']['id'] == SHIPPING_ORIGIN_COUNTRY) {
450 if (sizeof($response) == '1') {
451 if (ereg('<Error>', $response[0])) {
452
453 $number = ereg('<Number>(.*)</Number>', $response[0], $regs);
454 $number = $regs[1];
455
456 $description = ereg('<Description>(.*)</Description>', $response[0], $regs);
457 $description = $regs[1];
458
459 return array('error' => $number . ' - ' . $description);
460 }
461 }
462
463 $nopackage = sizeof($response);
464
465 for ($i=0; $i<$nopackage; $i++) {
466 if (strpos($response[$i], '<Postage>')) {
467
468 $service = ereg('<Service>(.*)</Service>', $response[$i], $regs);
469 $service = $regs[1];
470 $postage = ereg('<Postage>(.*)</Postage>', $response[$i], $regs);
471 $postage = $regs[1];
472
473 $rates[0][0] = $postage+$rates[0][0];
474 $rates[1][0] ="USPS $service";
475 }
476 }
477 }
478
479 if($this->destcountry!="United States of America")
480 {
481 while (true) {
482
483 if ($start = strpos($body, '<Package ID=')) {
484 $body = substr($body, $start);
485 $end = strpos($body, '</Package>');
486 $response[] = substr($body, 0, $end+10);
487 $body = substr($body, $end+9);
488 } else {
489 break;
490 }
491 }
492
493 $rates = array();
494
495 if (sizeof($response) == '1') {
496 if (ereg('<Error>', $response[0])) {
497 $number = ereg('<Number>(.*)</Number>', $response[0], $regs);
498 $number = $regs[1];
499 $description = ereg('<Description>(.*)</Description>', $response[0], $regs);
500 $description = $regs[1];
501
502 return array('error' => $number . ' - ' . $description);
503 }
504 }
505
506 $nopackage = sizeof($response);
507
508 //echo "total count". $n;
509 //print_r($response);
510
511 for ($j=0; $j<$nopackage; $j++) {
512 $body = $response[$i];
513 $xs=0;
514 $closedx=true;
515 while ($closedx) {
516 // $xs=$xs+1;
517 // if ($xs==6) {break;}
518
519 $start = strpos($body, '<Service ID=');
520 if ($start===false) {
521 $closedx=false;
522 break;
523 }
524 else
525 {
526 // $body = substr($body, $start);
527 // echo $body ."<br><br>";
528 $end = strpos($body, '</Service>');
529 $end =$end +10;
530 $servicex[] = substr($body,$start,$end-$start);
531 // echo $servicex[$xs-1]. "- $start - $end <br><br>";
532 $body = substr($body, $end);
533 }
534 }
535
536 // echo $j;
537 // print_r($servicex); echo "<br /><hr />";
538
539 $n = sizeof($servicex);
540 $noofservices=$n;
541 $this->num = $n;
542 for ($i=0; $i<$n; $i++)
543 {
544 $body = $servicex[$i];
545 $bod = $servicex[$i];
546 if ($start = strpos($body, '<Postage'))
547 {
548 $body = substr($body, $start);
549
550 $end = strpos($body, '</Postage>');
551 $post = substr($body,9,$end-9);
552 // echo $post;
553 $postvalue[$j]=$postvalue[$j]+$post;
554 $body = substr($body, $end+10);
555 }
556 if ($ss = strpos($bod,'<SvcDescription>'))
557 {
558 $bod = substr($bod, $ss);
559 $end = strpos($bod, '</SvcDescription>');
560 $desc = substr($bod,16,$end-16);
561 //echo $desc;
562 //$totdesc.$i = $totdesc.$i;
563 $body = substr($bod, $end+17);
564 }
565
566 $rates[0][$i]=$post+$rates[0][$i];
567 $rates[1][$i]="USPS $desc";
568 }
569 }
570 }
571
572
573 // building the whole shiping method string
574 for ($ij=0;$ij<$noofservices;$ij++)
575 {
576 $ratestotal[$ij]=$rates[0][$ij]."||".$rates[1][$ij];
577 }
578
579 // graham : static : usps : shippment option limits
580
581 function unset_by_val($needle,&$haystack) {
582 // removes all entries in array $haystack,
583 // who's value is $needle
584 foreach($haystack as $lil_haystack)
585 {
586 while(($gotcha = array_search($needle,$lil_haystack)) > -1)
587 unset($lil_haystack[$gotcha]);
588 }
589 }
590 /*
591 $ring = array('gollum','smeagol','gollum','gandalf',
592 'deagol','gandalf');
593 print_r($ring); echo "<br>";
594 unset_by_val('gollum',$ring);
595 print_r($ring);
596 */
597
598
599 // the function that will recursivly search an array.
600 function searchArrayRecursive($needle, $haystack){
601
602 // loop through the haystack that has been passed in
603 foreach ($haystack as $key => $arr) {
604
605 // check to make sure that the element is an array
606 if(is_array($arr)) {
607
608 /* this is the tricky line, this will take the value
609 or $arr and call the function again each time
610 the function is called, $ret is set with the
611 return value of the function call, this builds
612 the string that get's returned.
613 */
614 $ret=searchArrayRecursive($needle, $arr);
615
616 /* check to make sure that the function call did
617 not return -1 and return the value of the $key and
618 the $ret
619 */
620 if($ret!=-1) return $key.','.$ret;
621
622 } else {
623
624 /* check the array element and see if it matches the
625 search term. if it does, return the $key of the
626 element.
627 */
628 if($arr == $needle) return (string)$key;
629
630 }
631
632 }
633
634 // nothing was found, return -1
635
636 return -1;
637
638 }
639
640
641 // strip out canada?
642 if ( $this->destcountry == "Canada" ) {
643 /* Remove / Blank out a single entry
644 unset( $rates[1][0] );
645 */
646 unset( $ratestotal );
647 // print_r( $ratestotal );
648 // echo "<br /><hr />";
649 } elseif ( $this->destcountry == "United States of America" ) {
650 /* Remove / Blank out a single entry
651 unset( $rates[1][0] );
652 */
653 unset( $ratestotal );
654 // print_r( $ratestotal );
655 // echo "<br /><hr />";
656 }
657 /*
658 elseif ( $this->destcountry != "United States of America" ) {
659 //unset( $ratestotal );
660 print_r( $ratestotal );
661 // echo "<br /><hr />";
662 }
663 */
664 elseif ( $this->destcountry == "Australia" ) {
665 /* Remove / Blank out a single entry
666 unset( $rates[1][0] );
667 */
668 // unset( $ratestotal );
669 //print_r( $ratestotal );
670
671 // print_r( $ratestotal[0] ); echo "<br />";
672 unset( $ratestotal[0] );
673
674 // print_r( $ratestotal[1] ); echo "<br />";
675 unset( $ratestotal[1] );
676
677 // print_r( $ratestotal[2] ); echo "<br />";
678 // unset( $ratestotal[2] );
679
680 // print_r( $ratestotal[3] ); echo "<br />";
681 // unset( $ratestotal[3] );
682
683 // print_r( $ratestotal[4] ); echo "<br />";
684 unset( $ratestotal[4] );
685
686 // echo "<br /><hr />";
687
688 // print_r( $ratestotal );
689
690 // echo "<br /><hr />";
691 } elseif ( $this->destcountry == "Britain" ) {
692
693 print_r( $ratestotal[0] ); echo "<br />";
694 unset( $ratestotal[0] );
695
696 print_r( $ratestotal[1] ); echo "<br />";
697 unset( $ratestotal[1] );
698
699 print_r( $ratestotal[2] ); echo "<br />";
700 // unset( $ratestotal[2] );
701
702 print_r( $ratestotal[3] ); echo "<br />";
703 // unset( $ratestotal[3] );
704
705 print_r( $ratestotal[4] ); echo "<br />";
706 unset( $ratestotal[4] );
707
708 echo "<br /><hr />";
709
710 print_r( $ratestotal );
711
712 } else {
713 // echo $this->destcountry;
714
715 print_r( $ratestotal );
716
717 // print_r($rates);
718 // print_r( $rates[1] );
719 // echo "<br /><hr />";
720 }
721
722 //exit;
723 }
724 return $ratestotal;
725 }
726
727
729 function getFlatResult()
730 {
731 if (!empty($this->totalarr[box])) {
732 foreach ($this->totalarr[box] as $boxnum => $box) {
733 $this->addamount = $this->addamount + $box[flatusps];
734 }
735 }
736 if (!empty($this->totalarr[withoutbox])) {
737 foreach ($this->totalarr[withoutbox] as $woutnum => $wout) {
738 $this->addamount = $this->addamount + $wout[flatusps];
739 }
740 }
741 if ($this->addamount == 0) {
742 return '0.00' . '||' . 'USPS Parcel (Free Shipping)';
743 }
744 elseif (strlen($this->addamount) < 3)
745 {
746 $this->addamount = $this->addamount . '.00';
747 }
748 elseif (strlen($this->addamount) < 4)
749 {
750 $this->addamount = $this->addamount . '0';
751 }
752 return array ( 0 => $this->addamount . '||' . 'USPS Parcel (Flat Shipping)');
753
754 }
755
756 }
757 ?>
$i
$i
Definition: admin/adlist.php:91
ezuspsservices
Definition: ezusps-cleaner.php:10
ezuspsservices\$country
$country
Definition: ezusps-cleaner.php:21
ezuspsservices\getweight
getweight()
Definition: ezusps-cleaner.php:125
ezuspsservices\$destaddress2
$destaddress2
Definition: ezusps-cleaner.php:24
ezuspsservices\$nocombine
$nocombine
Definition: ezusps-cleaner.php:41
ezuspsservices\$weight
$weight
Definition: ezusps-cleaner.php:15
ezuspsservices\setcontainer
setcontainer()
Definition: ezusps-cleaner.php:148
ezuspsservices\$destcountry
$destcountry
Definition: ezusps-cleaner.php:18
ezuspsservices\$height
$height
Definition: ezusps-cleaner.php:37
ezuspsservices\$totsize
$totsize
Definition: ezusps-cleaner.php:35
ezuspsservices\$machinable
$machinable
Definition: ezusps-cleaner.php:40
ezuspsservices\$xmlreturnstatus
$xmlreturnstatus
Definition: ezusps-cleaner.php:34
ezuspsservices\$size
$size
Definition: ezusps-cleaner.php:26
ezuspsservices\getresult
getresult()
Definition: ezusps-cleaner.php:213
ezuspsservices\setpounds
setpounds()
Definition: ezusps-cleaner.php:137
ezuspsservices\$container
$container
Definition: ezusps-cleaner.php:25
ezuspsservices\$deststate
$deststate
Definition: ezusps-cleaner.php:17
ezuspsservices\$orginzip
$orginzip
Definition: ezusps-cleaner.php:19
ezuspsservices\$length
$length
Definition: ezusps-cleaner.php:39
ezuspsservices\$service
$service
Definition: ezusps-cleaner.php:27
ezuspsservices\$destaddress1
$destaddress1
Definition: ezusps-cleaner.php:23
ezuspsservices\getFlatResult
getFlatResult()
Definition: ezusps-cleaner.php:729
ezuspsservices\$pass
$pass
Definition: ezusps-cleaner.php:13
ezuspsservices\$destzip
$destzip
Definition: ezusps-cleaner.php:16
ezuspsservices\$server
$server
Definition: ezusps-cleaner.php:11
ezuspsservices\$mach
$mach
Definition: ezusps-cleaner.php:22
ezuspsservices\$count
$count
Definition: ezusps-cleaner.php:36
ezuspsservices\$xmlreturndata
$xmlreturndata
Definition: ezusps-cleaner.php:33
ezuspsservices\$ounce
$ounce
Definition: ezusps-cleaner.php:29
ezuspsservices\getservice
getservice()
Definition: ezusps-cleaner.php:84
ezuspsservices\verifyaddress
verifyaddress()
Definition: ezusps-cleaner.php:183
ezuspsservices\$totalarr
$totalarr
Definition: ezusps-cleaner.php:14
ezuspsservices\$user
$user
Definition: ezusps-cleaner.php:12
ezuspsservices\$state
$state
Definition: ezusps-cleaner.php:20
ezuspsservices\$res
$res
Definition: ezusps-cleaner.php:32
ezuspsservices\setsize
setsize()
Definition: ezusps-cleaner.php:157
ezuspsservices\$width
$width
Definition: ezusps-cleaner.php:38
ezuspsservices\$pounds
$pounds
Definition: ezusps-cleaner.php:28
ezuspsservices\ezuspsget
ezuspsget($ser=false, $user=false, $pwd=false, $totarr=false, $wgt="", $dzip=false, $dsta=false, $dcou=false, $ozip=false, $sta=false, $cou=false, $street1=false, $street2=false, $mach="false")
Definition: ezusps-cleaner.php:43
ezuspsservices\$status
$status
Definition: ezusps-cleaner.php:30
ezuspsservices\$num
$num
Definition: ezusps-cleaner.php:31
$desc
$desc
Definition: companytypelist.php:195
$str
$str
Definition: ezarticle/modules/content.php:30
$j
$j
Definition: ezimagecatalogue/admin/imagelist.php:345
$ret
$ret
Definition: ezsitemanager/admin/filelist.php:88
$response
while(!feof($socket)) $response
Definition: paypalnotify.php:196
$box
foreach( $vatTypes as $type) $box
Definition: productedit.php:1356
$haystack
$haystack
Definition: subscriptionlist.php:100
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.